package com.inspect.metadata.robuavtask.service;

import com.inspect.metadata.robuavtask.domain.BasedataPatrolRobUavTask;

import java.util.List;

public interface IBasedataPatrolRobUavTaskService {
    BasedataPatrolRobUavTask selectBasedataPatrolRobUavTaskByPatrolRobUavTaskId(Long taskId);

    List<BasedataPatrolRobUavTask> selectBasedataPatrolRobUavTaskList(BasedataPatrolRobUavTask task);

    int insertBasedataPatrolRobUavTask(BasedataPatrolRobUavTask task);

    int updateBasedataPatrolRobUavTask(BasedataPatrolRobUavTask task);

    int deleteBasedataPatrolRobUavTaskByPatrolRobUavTaskIds(Long[] taskIds);

    int deleteBasedataPatrolRobUavTaskByPatrolRobUavTaskId(Long taskId);
}
